Bug 1055789 - Review Request: rubygem-awesome_spawn - AwesomeSpawn is a module that provides some useful features over Ruby's Kernel.spawn
Summary: Review Request: rubygem-awesome_spawn - AwesomeSpawn is a module that provide...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 23:05 UTC by Achilleas Pipinellis
Modified: 2014-03-12 18:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-12 18:57:24 UTC
mmorsi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Achilleas Pipinellis 2014-01-20 23:05:30 UTC
I'd like to bring polisher in Fedora and this is the only runtime dep missing.

Spec URL: http://axilleas.fedorapeople.org/reviews/rubygem-awesome_spawn.spec
SRPM URL: http://axilleas.fedorapeople.org/reviews/rubygem-awesome_spawn-1.0.0-1.fc20.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6431651

Description: 
AwesomeSpawn is a module that provides some useful features over Ruby's Kernel.spawn. Some additional features include:

- Parameter passing as a Hash or associative Array sanitizing them to prevent command line injection.
- Results returned as an object giving access to the output stream, error stream, and exit status.
- Optionally raising an exception when exit status is not 0.

Fedora Account System Username: axilleas

Comment 1 Mo Morsi 2014-01-21 17:23:48 UTC
Hey Achilleas, just went through this, overall looks good save a few nits:

- "Requires: ruby(rubygems)"  should be "Requires: rubygems"

- "BuildRequires: rubygem-rspec" should be "BuildRequires: rubygem(rspec)"

- I'll file a couple issues w/ the awesome_spawn upstream to exclude the development files you rm from the gem (eg .travis, .gitignore, others) and to conditionalize the coveralls requirement. In the meantime how you handle those is fine.

- Would remove the comments from the spec that don't apply, eg the stuff about %%gem_install and C-extensions, just to prevent any possible confusion

- The rest looks good, fedora-review complains about %gem_install not being used but since it is, you can ignore that.

If you make the previous changes I'll give you the ACK. The next awesome_span release might remove some of those files and/or conditionalize the coveralls dep so make sure to watch out for that

---


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-awesome_spawn-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems


===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/mmorsi/workspace/fedora/awesome_spawn/1055789
     -rubygem-awesome_spawn/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gems,
     /usr/share/gems/doc
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[ ]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).
[x]: Package contains Requires: ruby(release).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem should use %gem_install macro.
[ ]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros:
     /usr/share/gems/specifications/awesome_spawn-1.0.0.gemspec, %exclude
     /usr/share/gems/cache/awesome_spawn-1.0.0.gem
[x]: Gem package should exclude cached Gem.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-awesome_spawn-1.0.0-1.fc21.noarch.rpm
          rubygem-awesome_spawn-doc-1.0.0-1.fc21.noarch.rpm
          rubygem-awesome_spawn-1.0.0-1.fc21.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-awesome_spawn rubygem-awesome_spawn-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-awesome_spawn (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-awesome_spawn-doc (rpmlib, GLIBC filtered):
    rubygem-awesome_spawn



Provides
--------
rubygem-awesome_spawn:
    rubygem(awesome_spawn)
    rubygem-awesome_spawn

rubygem-awesome_spawn-doc:
    rubygem-awesome_spawn-doc



Source checksums
----------------
https://rubygems.org/gems/awesome_spawn-1.0.0.gem :
  CHECKSUM(SHA256) this package     : c8fcbfc93ffc06ebdea5177636470e25eb15ec6def7f3f2309f0b06eec947654
  CHECKSUM(SHA256) upstream package : c8fcbfc93ffc06ebdea5177636470e25eb15ec6def7f3f2309f0b06eec947654


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -b 1055789
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Perl, R, PHP
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 3 Mo Morsi 2014-01-22 17:46:18 UTC
Looks good. Approved

Comment 4 Achilleas Pipinellis 2014-01-22 18:12:59 UTC
Thanks!

New Package SCM Request
=======================
Package Name: rubygem-awesome_spawn
Short Description: AwesomeSpawn is a module that provides some useful features over Ruby's Kernel.spawn.
Owners: axilleas
Branches: f19 f20

Comment 5 Gwyn Ciesla 2014-01-22 20:07:56 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.